Bug 546117 (CVE-2009-4145) - CVE-2009-4145 NetworkManager: information disclosure by nm-connection-editor
Summary: CVE-2009-4145 NetworkManager: information disclosure by nm-connection-editor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2009-4145
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 546115 548190 548191
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 03:08 UTC by Dan Williams
Modified: 2019-09-29 12:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 546115
Environment:
Last Closed: 2018-09-07 16:15:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0108 normal SHIPPED_LIVE Moderate: NetworkManager security update 2010-02-16 15:50:34 UTC

Description Dan Williams 2009-12-10 03:08:50 UTC
+++ This bug was initially created as a clone of Bug #546115 +++

nm-connection-editor may inadvertently publish network configuration settings over D-Bus when a user changes those settings using the connection editor.  D-Bus gives all clients a bus name (usually 1:XXX where XXX is an ever-increasing number) whenever the client connects to the bus.  Even though this client is not exporting a /named/ service, it is still on the bus and if the client exports an object (even inadvertently, without registering a well-known bus name) signals emitted by that object will also be proxied onto the bus.

nm-connection-editor inadvertently exported connection objects on the bus, and when a user changes those connections though the connection editor GUI, the editor may emit a summary of those changes onto the bus, leading to the information disclosure.

1) start 'dbus-monitor --system' in a terminal
2) run nm-connection-editor
3) edit a connection that has secrets, like a protected wifi network
4) Upon clicking the "Apply" button, check the dbus-monitor terminal window; the wifi network password may have been emitted as part of the "Updated" signal for that connection

This is only a problem for NM 0.7.x present in Fedora <= 11 and RHEL5.  The problem has been long corrected in NM 0.8 (F12+).  Upstream commit to 0.7.x fixing this problem is here:

http://git.gnome.org/cgit/network-manager-applet/commit/?h=NETWORKMANAGER_APPLET_0_7&id=8627880e07c8345f69ed639325280c7f62a8f894

Comment 1 Dan Williams 2009-12-11 23:11:47 UTC
And:

http://git.gnome.org/cgit/network-manager-applet/commit/?h=NETWORKMANAGER_APPLET_0_7&id=56d87fcb86acb5359558e0a2ee702cfc0c3391f2

which fixes a small bug in the previous commit.

Comment 5 Fedora Update System 2009-12-23 19:27:52 UTC
NetworkManager-0.7.2-2.git20091223.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.2-2.git20091223.fc11

Comment 6 Fedora Update System 2010-01-02 21:30:17 UTC
NetworkManager-0.7.2-2.git20091223.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2010-02-16 15:50:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0108 https://rhn.redhat.com/errata/RHSA-2010-0108.html

Comment 10 Dan Williams 2018-09-07 16:15:57 UTC
Long since fixed, we can close this.


Note You need to log in before you can comment on or make changes to this bug.